import { TransformParams } from './types.cjs';
export declare const toggleTransform: () => TransformParams<boolean, {
    toggle: () => void;
}>;
type OpenLike = {
    isOpen: boolean;
};
export type DialogValue<T> = {
    state?: T;
} & OpenLike;
export declare const dialogTransform: <R>() => TransformParams<DialogValue<R>, {
    close: () => void;
    open: (state: R | undefined) => void;
    setState: (state: R) => void;
}>;
type PageLike = {
    page: number;
    size: number;
};
export declare const pageTransform: () => TransformParams<PageLike, {
    next: () => void;
    prev: () => void;
    setPage: (page: number) => void;
    setSize: (size: number) => void;
}>;
export {};
